
Katello - Bug #6896

Content view pages generate *many* api calls

08/03/2014 09:50 AM - Ohad Levy

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when browsing a content view, I've noticed in the logs:

Processing by Katello::Api::V2::ContentViewsController#history as JSON

  Parameters: {"organization_id"=>"3", "page"=>"663", "search"=>"", "sort_by"=>"created_at", "sort

_order"=>"DESC", "api_version"=>"v2", "id"=>"5"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/content

_view_histories/index.json.rabl within katello/api/v2/layouts/collection (1.8ms)

Completed 200 OK in 17ms (Views: 3.0ms | ActiveRecord: 0.7ms)

Processing by Katello::Api::V2::ContentViewsController#history as JSON

  Parameters: {"organization_id"=>"3", "page"=>"664", "search"=>"", "sort_by"=>"created_at", "sort

_order"=>"DESC", "api_version"=>"v2", "id"=>"5"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/content

_view_histories/index.json.rabl within katello/api/v2/layouts/collection (1.8ms)

Completed 200 OK in 17ms (Views: 2.9ms | ActiveRecord: 0.7ms)

Processing by Katello::Api::V2::ContentViewsController#history as JSON

  Parameters: {"organization_id"=>"3", "page"=>"665", "search"=>"", "sort_by"=>"created_at", "sort

_order"=>"DESC", "api_version"=>"v2", "id"=>"5"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/content

_view_histories/index.json.rabl within katello/api/v2/layouts/collection (1.9ms)

Completed 200 OK in 179ms (Views: 3.1ms | ActiveRecord: 4.1ms)

Processing by Katello::Api::V2::ContentViewsController#history as JSON

  Parameters: {"organization_id"=>"3", "page"=>"666", "search"=>"", "sort_by"=>"created_at", "sort

_order"=>"DESC", "api_version"=>"v2", "id"=>"5"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/content

_view_histories/index.json.rabl within katello/api/v2/layouts/collection (2.0ms)

 This kept on going for quite some time.

History

#1 - 08/04/2014 10:52 AM - Eric Helms

- Category set to Web UI

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 12/21/2015 11:51 AM - Eric Helms

- Status changed from New to Resolved

Not seeing this on latest, 2.4.0, please re-open if you are still seeing it.

#3 - 07/08/2016 11:11 AM - Eric Helms

- translation missing: en.field_release set to 166
